complexType "CoalDelivery"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (deliveryPoint? | deliveryAtSource?), (quantityVariationAdjustment?, transportationEquipment?, risk?)?
</...>

Content Model Elements (5):

  deliveryAtSource, deliveryPoint (in deliveryConditions in coalPhysicalLeg), quantityVariationAdjustment, | risk (in deliveryConditions in coalPhysicalLeg), transportationEquipment

All Direct / Indirect Based Elements (1):

  deliveryConditions (in coalPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in coalPhysicalLeg)

Annotation
The physical delivery conditions for coal.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CoalDelivery"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="deliveryPoint" type="CoalDeliveryPoint"/> <xsd:element minOccurs="0" name="deliveryAtSource" type="xsd:boolean"/> </xsd:choice> <xsd:group minOccurs="0" ref="CommodityUSCoalDelivery.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
deliveryAtSource

  Type: | xsd:boolean, predefined, simple content

  The point at which the Coal Product as a reference to the Source of the Coal Product. This should be a reference to the source element within product.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryAtSource" type="xsd:boolean"/>

deliveryPoint

  Type: | CoalDeliveryPoint, simple content

  The point at which the Coal Product will be delivered and received.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPoint" type="CoalDeliveryPoint"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.